Name: 		gfcc
Summary: A GTK+ application for controlling firewall policies and rules.
Version:	0.7.1
Release:	1
Source:		http://account.joayo.net/~tri/%{name}-%{version}.tar.gz
Group: Applications/System
Copyright:	GPL
URL:		http://joayo.net/~tri/
BuildRoot:	/var/tmp/%{name}-root
Requires: gtk+ >= 1.2

%description 
Gfcc (GTK+ Firewall Control Center) is a GTK+ application which can
control Linux firewall policies and rules.  Gfcc is based on ipchains.

%prep
%setup -q
tar xzf libipfwc.tar.gz

%build
cd libipfwc; make CFLAGS="$RPM_OPT_FLAGS"
cd ..
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=/usr \
	--with-ipfwc=./libipfwc
make

%install
make install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/gfcc

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/gfcc
%dir /usr/share/gfcc
%config /usr/share/gfcc/gtkrc
%config /usr/share/gfcc/host_networks
%dir /usr/share/gfcc/rules
/usr/share/gfcc/rules/*

%changelog
* Wed Jul 14 1999 Tim Powers <timp@redhat.com>
- updated source
- added %defattr
- strip binary

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial package for Powertools 6.0
